Download it now!
Bug 81010 - Calc crashes when sorting using autofilter sort
Summary: Calc crashes when sorting using autofilter sort
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: All All
: high critical
Assignee: Deena Francis
URL:
Whiteboard: odf target:4.4.0 target:4.3.2 target:...
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2014-07-07 16:52 UTC by Kevin Suo
Modified: 2017-07-25 02:17 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace log (20.71 KB, text/x-log)
2014-07-17 09:19 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-07-07 16:52:53 UTC
When I was testing attachment 96504 [details] in bug 76715, I found that Calc crashes when sorting the last column by click the "sort asending/decending" in autofilter.

Steps:
1. Open attachment 96504 [details];
2. In cloumn N, click the autofilter arrow and select "sort asending/decending".

Current Behaviour:
Calc crashes.

Fedora 20 x96,
Version: 4.3.0.2.
Comment 1 Kevin Suo 2014-07-07 16:55:07 UTC
Sort using the "normal" method (menu Data-Sort) does not crash.
Comment 2 m.a.riosv 2014-07-07 20:45:52 UTC
Maybe a duplicate of this one: https://bugs.freedesktop.org/show_bug.cgi?id=80874
Comment 3 Kevin Suo 2014-07-08 15:37:24 UTC
(In reply to comment #2)
> Maybe a duplicate of this one:
> https://bugs.freedesktop.org/show_bug.cgi?id=80874

No, this one is not a duplicate of bug 80874. 
Attachment 102220 [details] in bug 80874 crashes when sort using the "normal" method (menu Data-Sort...), 
But attachment 96504 [details] in this bug only crashes when using auto filter sort.

I add bug 80874 as see also.
Comment 4 sophie 2014-07-09 13:41:33 UTC
Confirmed the crash with 4.3.0.2 Ubuntu 14.04 - Set as New - Sophie
Comment 5 Yousuf Philips (jay) (retired) 2014-07-09 15:01:43 UTC
Confirmed in 4.2.5 as well. Doesnt crash in 4.1.6.
Comment 6 Joel Madero 2014-07-16 04:11:27 UTC
6d8b2818a069e151a49fdba573f0db45face1651 is the first bad commit
commit 6d8b2818a069e151a49fdba573f0db45face1651
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue May 20 09:28:30 2014 +0000

    source-hash-da1425650b0c3e0921d2c9d51d461aca99038650
    
    commit da1425650b0c3e0921d2c9d51d461aca99038650
    Author:     Thomas Arnhold <thomas@arnhold.org>
    AuthorDate: Thu Apr 24 04:18:55 2014 +0200
    Commit:     Thomas Arnhold <thomas@arnhold.org>
    CommitDate: Thu Apr 24 11:58:14 2014 +0200
    
        add missing modelines to idl files
    
        Change-Id: If52651c70ee659c83ef127da4fe5e266cfe7eec2

:100644 100644 4a8d5565ecefcfdd4078edd5700de0efc8132c02 62b086808cceca8afd3b1840ff28b7dcab3cfc8e M	autogen.log
:100644 100644 bd53ed3cc9847c47658266fa59383ff0e60ebe43 2d692f932ea7b5bdddcc39a7685106a170201f94 M	ccache.log
:100644 100644 80d9656c29aca4e90745e26552bda0bbf7f7cabf c7777ae6f94f5f6034bd795f1da86043f00352c4 M	commitmsg
:100644 100644 b465c495534db58c79ef3d68275b63fb7351e6bf 874c9489bd7a796783a09051c1f2bdf41bc1613e M	make.log
:040000 040000 21b874fef5ab6f9a92e4d5db990b06c510018458 d7045a9a32ad3b402f21dfced13cbd12dcd9592d M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect skip a900e72b6357882284c5955bdf939bf14269f5fb
# skip: [3dda83fc3a43afc6af7f5c0ffd029e610ec1b9a3] source-hash-c59b3d6c5c8096486730007d9b9b053793b90b1e
git bisect skip 3dda83fc3a43afc6af7f5c0ffd029e610ec1b9a3
# good: [4f705a8cfb1998b09f2062510b207d35a33647d8] source-hash-1eeb20f3958666ec6ba6e0fcf52e92e5eb447a14
git bisect good 4f705a8cfb1998b09f2062510b207d35a33647d8
# good: [465e2be02951f9645beb3024506a5212907caf5f] source-hash-674801eb4af21c9ae83c122499f15fa4f4785b0f
git bisect good 465e2be02951f9645beb3024506a5212907caf5f
# bad: [1de992ed60dad1fd65ff0383a8610b0468d9d772] source-hash-8bf0b9536cb33dfcce8a811b70c2ead285300f3f
git bisect bad 1de992ed60dad1fd65ff0383a8610b0468d9d772
# good: [ce3d21bc00b0756f1e7dbb4974db30e6d51b913b] source-hash-8485a276022e05bd34afb2321e72ecfad4589f7e
git bisect good ce3d21bc00b0756f1e7dbb4974db30e6d51b913b
# bad: [89894d82385af13d5393f07abeb76a2c309b1828] source-hash-062e69f40b749aa8a6058c3e6ca328af86aeb45b
git bisect bad 89894d82385af13d5393f07abeb76a2c309b1828
# bad: [c567bb961271596a852b55742a65e04f0b92ecbb] source-hash-2e41702ed4f224f195d33054e2e714f546b4442c
git bisect bad c567bb961271596a852b55742a65e04f0b92ecbb
# bad: [6d8b2818a069e151a49fdba573f0db45face1651] source-hash-da1425650b0c3e0921d2c9d51d461aca99038650
git bisect bad 6d8b2818a069e151a49fdba573f0db45face1651
# first bad commit: [6d8b2818a069e151a49fdba573f0db45face1651] source-hash-da1425650b0c3e0921d2c9d51d461aca99038650
Comment 7 Kevin Suo 2014-07-17 09:10:37 UTC
Also crash with
4.2.6.1
Build ID: 5fdddf655fba363e34f755715238d0943a44857e
Windows XP SP3.

Platform -> ALL.
Comment 8 Kevin Suo 2014-07-17 09:13:00 UTC
Still crash with
Version: 4.3.1.0.0+
Build ID: 5536b127a105123de6f64dcf8f53dfa277faef3c
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-07-16_10:15:31

So the commit mentioned in 
https://bugs.freedesktop.org/show_bug.cgi?id=81351#c3
does not resolve this one.
Comment 9 Jorendc 2014-07-17 09:18:47 UTC
Yes, I see a lot of sort-rework done in the bibisected commit range: http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=8485a276022e05bd34afb2321e72ecfad4589f7e..da1425650b0c3e0921d2c9d51d461aca99038650

I'll attach a backtrace
Comment 10 Jorendc 2014-07-17 09:19:34 UTC
Created attachment 102971 [details]
backtrace log

Tested using Version: 4.4.0.0.alpha0+
Build ID: f4a2f1e647354efb75be8c90384d6cd3e5f9b9bd
Comment 11 Deena Francis 2014-08-24 20:20:57 UTC
I have submitted a patch to gerrit for review that seems to resolve this bug.
https://gerrit.libreoffice.org/#/c/11102/
Comment 12 Eike Rathke 2014-08-27 11:29:52 UTC
For completeness:

Deena Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c25ac84688b596b9990d382d550f0514161b78c2

Resolves fdo#81084 fdo#81696 fdo#80874 fdo#81010 : sort causes crash



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Eike Rathke 2014-08-27 11:48:27 UTC
Deena Francis committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=719dd447ec1ab5ed0085b4f41cfd8e76fa835106&h=libreoffice-4-3

Resolves fdo#81084 fdo#81696 fdo#80874 fdo#81010 : sort causes crash


It will be available in LibreOffice 4.3.2.


It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a04813fbf9824ae6cf651bab0c3f55cf36ea8fa&h=libreoffice-4-2

Resolves fdo#81084 fdo#81696 fdo#80874 fdo#81010 : sort causes crash


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Ken Biondi 2014-09-06 23:51:09 UTC
I verified this fix in the following three versions.

Version: 4.4.0.0.alpha0+
Build ID: 040a59e513b6435fb39bfecad9a54b3283216d0e
TinderBox: Win-x86@42, Branch:master, Time: 2014-09-04_23:21:24

Version: 4.2.7.0.0+
Build ID: fef72d750ea29dd3368f2e5f3099bb81e22ab07c
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-09-05_17:30:54

Version: 4.3.2.0.0+
Build ID: 233e6a62d12d2d67089f1934777ac41c9fc88238
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-09-05_11:10:36

I tested using WIN 8 x86_64
Comment 15 Robinson Tryon (qubit) 2015-12-17 08:25:46 UTC Comment hidden (obsolete)